Pods.xcconfig line 3: Unable to find included file "Pods-Underscore.m" #1152

Closed
kalys opened this Issue Jun 29, 2013 · 2 comments

Comments

Projects
None yet
3 participants
@kalys

kalys commented Jun 29, 2013

Version: COCOAPODS: 0.21.0.rc1

Pods:

pod 'BCGenieEffect'
pod 'Mantle'
pod 'Underscore.m'

I get this warning:

Check dependencies

Pods.xcconfig line 3: Unable to find included file "Pods-Underscore.m"

I think this happens because of the name of the library. It has ".m" in the name.

@alloy

This comment has been minimized.

Show comment
Hide comment
@alloy

alloy Jul 1, 2013

Member

I think this happens because of the name of the library. It has ".m" in the name.

That sounds like a good guess. To verify it, can you change the inclusion in the xcconfig to Pods-Underscore.m.xcconfig and see if that fixes it?

Also, are you by any chance using Xcode 5 DP 1?

Member

alloy commented Jul 1, 2013

I think this happens because of the name of the library. It has ".m" in the name.

That sounds like a good guess. To verify it, can you change the inclusion in the xcconfig to Pods-Underscore.m.xcconfig and see if that fixes it?

Also, are you by any chance using Xcode 5 DP 1?

@fabiopelosin

This comment has been minimized.

Show comment
Hide comment
@fabiopelosin

fabiopelosin Jul 1, 2013

Member

I found the same issue and I can confirm that the issue was resolved by appending the .xcconfig extension in DP 2.

Member

fabiopelosin commented Jul 1, 2013

I found the same issue and I can confirm that the issue was resolved by appending the .xcconfig extension in DP 2.

jzapater pushed a commit to jzapater/CocoaPods that referenced this issue Sep 17, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment